''*****************************
''*  Graphics Demo v1.0       *
''*  (C) 2005 Parallax, Inc.  *
''*****************************

CON

  _clkmode = xtal1 + pll8x
  _xinfreq = 10_000_000 + 0000
  _stack = 100 'accomodate display memory and stack

  x_tiles = 32
  y_tiles = 28

  paramcount = 15       

VAR

  word display_base

  long mousex, mousey

  long  tv_status     '0/1/2 = off/visible/invisible           read-only
  long  tv_enable     '0/? = off/on                            write-only
  long  tv_pins       '%ppmmm = pins                           write-only
  long  tv_mode       '%ccinp = chroma,interlace,ntsc/pal,swap write-only
  long  tv_screen     'pointer to screen (bytes)               write-only
  long  tv_colors     'pointer to colors (longs)               write-only               
  long  tv_hc         'horizontal cells                        write-only
  long  tv_vc         'vertical cells                          write-only
  long  tv_hx         'horizontal cell expansion               write-only
  long  tv_vx         'vertical cell expansion                 write-only
  long  tv_ho         'horizontal offset                       write-only
  long  tv_vo         'vertical offset                         write-only
  long  tv_broadcast  'broadcast frequency (Hz)                write-only
  long  tv_auralcog   'aural fm cog                            write-only
  long  tv_tiletable  'pointer to tile definitions (words)     write-only

  long  colors[64]

OBJ

  tv    : "sw_dk_tv_drv_011.spin"
  gfx   : "sw_dkong_gfx_001.spin"

PUB start

  'start tv
  longmove(@tv_status, @tvparams, paramcount)
  tv_screen := gfx.map_adr
  tv_tiletable := gfx.tile_adr
  tv_colors := @colors
  tv.start(@tv_status)

  'init colors
  colors[0] := $ab053c02

  repeat

DAT

tvparams                long    0               'status
                        long    1               'enable
                        long    %011_0000       'pins
                        long    %0001           'mode
                        long    0               'screen
                        long    0               'colors
                        long    x_tiles         'hc
                        long    y_tiles         'vc
                        long    10              'hx
                        long    1               'vx
                        long    0               'ho
                        long    0               'vo
                        long    60_000_000'_xinfreq<<4  'broadcast
                        long    0               'auralcog
                        long    0               'tiletable
                                               